Net::LDAP::Reference(3)

NAME
Net::LDAP::Reference - search reference

SYNOPSIS
  use Net::LDAP;

  $ldap->search( @search_args, callback => \&process);

  sub process {
    my $mesg = shift;
    my $obj = shift;
    if (!$obj) {
      # Search complete
    }
    elsif ($obj->isa('Net::LDAP::Reference')) {
      my $ref;

      foreach $ref ($obj->references) {
        # process ref
      }
    }
    else {
      # Process Net::LDAP::Entry
    }
  }

DESCRIPTION
The Net::LDAP::Reference object represents a reference (sometimes called a "referral") returned by the directory from a search.

METHODS

references
    Returns a list of references from the server.

SEE ALSO
Net::LDAP, Net::LDAP::Search

AUTHOR
Graham Barr <gbarr@pobox.com>.

Please report any bugs, or post any suggestions, to the perl-ldap mailing list <perl-ldap@perl.org>.

COPYRIGHT
Copyright (c) 1997-2004 Graham Barr. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.